##About the project
This project is the implementation of the Combined Swarm System. The project is a part of the Master Thesis submitted by Hanne Gunby and Susanne Gustavsen at the Norwegian University of Science and Technology (NTNU) in May 2015. 

##About the files
The files included in this contribution is the source code, as well as the networks used when conducting experiments. A shell script used for running the program in terminal is also included.

## Install
The easiest way to run the program and handle dependencies, is installing Maven (https://maven.apache.org/).

## Running the program
The default setup is using Mandl's Network with 4 routes in a route set. Each route is allowed a maximum of 8 nodes in a route, and minimum of 2. This can be changed in the file called Algorithm.java. The default setup regarding parameters are the ones as described as the selected values in the thesis. These can be changed in the file called MainWithoutLoops.java. The network used can also be changed in MainWithoutLoops.java.

The easiest way to run the program is to run the script loopingScript.sh. Here one can decide the number of runs, and the result will be printed to a file called test.txt. Running the script requires installation of Maven. 