/**
 * Created by hanngu on 25.02.15.
 */
public class MandlNodeCouple {

    private MandlNode node1, node2;
    private double minTotalTravelTime;
    private int demand;

    public MandlNodeCouple(MandlNode node1, MandlNode node2, double minTotalTravelTime, int demand){
        this.node1 = node1;
        this.node2 = node2;
        this.minTotalTravelTime = minTotalTravelTime;
        this.demand = demand;

    }

    public int getDemand() {
        return demand;
    }

    public MandlNode getNode1() {
        return node1;
    }

    public MandlNode getNode2() {
        return node2;
    }

    public double getMinTotalTravelTime() {
        return minTotalTravelTime;
    }

    public String toString(){
        return "Node1: " + node1.getNumber() + ", Node2: " + node2.getNumber() + ", MinTotalTravelTime: " + minTotalTravelTime;
    }

}
