import org.neo4j.graphalgo.WeightedPath;

/**
 * Created by hanngu on 21.04.15.
 */
public class PathInRouteSet {

    private WeightedPath path;
    private double travelTime;
    private int numberOfRelationships;

    public PathInRouteSet(WeightedPath path, double travelTime, int numberOfRelationships){
        this.path = path;
        this.numberOfRelationships = numberOfRelationships;
        this.travelTime = travelTime;
    }

    public WeightedPath getPath() {
        return path;
    }

    public int getNumberOfRelationships() {
        return numberOfRelationships;
    }

    public double getTravelTime() {
        return travelTime;
    }

    @Override
    public String toString() {
        return "PathInRouteSet{" +
                "travelTime=" + travelTime +
                ", numberOfRelationships=" + numberOfRelationships +
                '}';
    }
}
