import java.util.ArrayList;

/**
 * Created by hanngu on 09.04.15.
 */
public class TestStatistics {
    private Statistics statistics = new Statistics();

    @org.junit.Test
    public void testCalculateBestAnt() throws Exception {
        BestAntStatistics bestAnt1 = new BestAntStatistics(80.55, 14.2);
        BestAntStatistics bestAnt2 = new BestAntStatistics(80.0, 13.0);
        ArrayList<BestAntStatistics> testListOfBestAnts = new ArrayList<>();
        testListOfBestAnts.add(bestAnt1);
        testListOfBestAnts.add(bestAnt2);
        BestAntStatistics best = statistics.calculateBestAnt(testListOfBestAnts);
        assert best.equals(bestAnt2);
    }

    @org.junit.Test
    public void testCalculateWorstAnt() throws Exception{
        BestAntStatistics bestAnt1 = new BestAntStatistics(80.55, 14.2);
        BestAntStatistics bestAnt2 = new BestAntStatistics(80.0, 13.0);
        ArrayList<BestAntStatistics> testListOfBestAnts = new ArrayList<>();
        testListOfBestAnts.add(bestAnt1);
        testListOfBestAnts.add(bestAnt2);
        BestAntStatistics worst = statistics.calculateWorstAnt(testListOfBestAnts);
        assert worst.equals(bestAnt1);

    }


}
