import java.util.ArrayList;

/**
 * Created by hanngu on 13.02.15.
 */
public class MandlNode {

    private double cordX, cordY, attractiveValue;
    private int number, totalDemand;
    private ArrayList<MandlEdge> connectingMandlEdge;

    public MandlNode(int number, double cordX, double cordY) {
        this.cordX = cordX;
        this.cordY = cordY;
        this.number = number;
        this.connectingMandlEdge = new ArrayList<MandlEdge>();
    }

    public int getTotalDemand() {
        return totalDemand;
    }

    public void setTotalDemand(int totalDemand) {
        this.totalDemand = totalDemand;
    }

    public double getCordX() {
        return cordX;
    }

    public void addEdge(MandlEdge e){
        if(!connectingMandlEdge.contains(e)){
            connectingMandlEdge.add(e);
        }
    }

    public double getAttractiveValue() {
        return attractiveValue;
    }

    public void setAttractiveValue(double attractiveValue) {
        this.attractiveValue = attractiveValue;
    }

    public ArrayList<MandlEdge> getConnectingEdges() {
        return connectingMandlEdge;
    }

    public int getNumber() {
        return number;
    }

    public double getCordY() {
        return cordY;
    }

    public String toString(){
        return "MandlNode nr.: " + number + " " + cordX + "," + cordY;
    }
}
