import java.util.ArrayList;

/**
 * Created by hanngu on 12.03.15.
 */
public class Statistics {

    private double finalBestAnts = 0;
    private int numberOfRuns = 0; //This number equal the number addToFinalBestAnts has been called
    private double bestPossibleTotalFit = 0.0;

    /*public void addToFinalBestAnts(int numberOfAnts){
        numberOfRuns ++;
        finalBestAnts += numberOfAnts;
    }*/

   /* public double averageFinalBestAnts(){

        return finalBestAnts/numberOfRuns;
    }*/

    public void calculateBestPossibleTotalFit(int nodeCouplessize) {
        //f1 eqauls the total dif between an ants route and the shortest possible route. Ideally it should be 0.0, i.e. each route found by the ant is equal shortest possible route
        double f1 = 0.0;
        //f2 reflectes how many of the routes (nodecouples) are direct, with one transfer and with two transfers. Ideally every route should be direct.
        double f2 = -3*100;
        //f3 reflectes how many of the routes that are unsatisfied (not possible to travel direct, with 1 transfer or with 2 transfers). Ideally this should be 0.0
        double f3 = 0.0;
        bestPossibleTotalFit = (f1 + f2 + f3);
    }

    public BestAntStatistics calculateBestAnt(ArrayList<BestAntStatistics> listOfBestAnts){
        BestAntStatistics bestAccordingToD0 = listOfBestAnts.get(0);
        BestAntStatistics bestAccordingToAtt = listOfBestAnts.get(0);

        for(BestAntStatistics bestAnt : listOfBestAnts){
            if(bestAnt.getD0() > bestAccordingToD0.getD0()){
                bestAccordingToD0 = bestAnt;
            }
            if(bestAnt.getAtt() < bestAccordingToAtt.getAtt()){
                bestAccordingToAtt = bestAnt;
            }
        }
        if(bestAccordingToD0.equals(bestAccordingToAtt)){
            return bestAccordingToAtt;
        }
        double differenceD0 = (bestAccordingToAtt.getD0()/bestAccordingToD0.getD0())*100;
        System.out.println("D0: " + differenceD0);
        double differenceAtt = (bestAccordingToAtt.getAtt()/bestAccordingToD0.getAtt())*100;
        System.out.println("ATT: " + differenceAtt);
        if(differenceD0 >= differenceAtt){
            return bestAccordingToAtt;
        }
        return bestAccordingToD0;
    }
    public BestAntStatistics calculateWorstAnt(ArrayList<BestAntStatistics> listOfBestAnts){
        BestAntStatistics worstAccordingToD0 = listOfBestAnts.get(0);
        BestAntStatistics worstAccordingToAtt = listOfBestAnts.get(0);

        for(BestAntStatistics bestAnt : listOfBestAnts){
            if(bestAnt.getD0() < worstAccordingToD0.getD0()){
                worstAccordingToD0 = bestAnt;
            }
            if(bestAnt.getAtt() > worstAccordingToAtt.getAtt()){
                worstAccordingToAtt = bestAnt;
            }
        }
        if(worstAccordingToD0.equals(worstAccordingToAtt)){
            return worstAccordingToAtt;
        }
        double differenceD0 = (worstAccordingToD0.getD0()/worstAccordingToAtt.getD0())*100;
        System.out.println("D0: " + differenceD0);
        double differenceAtt = (worstAccordingToD0.getAtt()/worstAccordingToAtt.getAtt())*100;
        System.out.println("ATT: " + differenceAtt);
        if(differenceD0 >= differenceAtt){
            return worstAccordingToAtt;
        }
        return worstAccordingToD0;
    }

    public BestAntStatistics calculateAverageAnt(ArrayList<BestAntStatistics> listOfBestAnts){
        double totalD0 = 0;
        double totalAtt = 0;

        for(BestAntStatistics bestAnt : listOfBestAnts){
            totalD0 += bestAnt.getD0();
            totalAtt += bestAnt.getAtt();
        }

        double avgD0 = round(totalD0/listOfBestAnts.size(), 2);
        double avgAtt = round(totalAtt/listOfBestAnts.size(), 2);

        return new BestAntStatistics(avgD0, avgAtt);
    }

    public double round(double value, int places) {
        if (places < 0) throw new IllegalArgumentException();

        long factor = (long) Math.pow(10, places);
        value = value * factor;
        long tmp = Math.round(value);
        return (double) tmp / factor;
    }



    public double getBestPossibleTotalFit() {
        return bestPossibleTotalFit;
    }
}
